import { currentSearchedBioEntityChemicalsSelector } from '@/redux/drawer/drawer.selectors';
import { useAppSelector } from '@/redux/hooks/useAppSelector';
import { LoadingIndicator } from '@/shared/LoadingIndicator';
import { ZERO } from '@/constants/common';
import { BioEntitiesPinsListItem } from '../../SearchDrawerWrapper/BioEntitiesResultsList/BioEntitiesPinsList/BioEntitiesPinsListItem';

export const ChemicalsList = (): JSX.Element => {
  const chemicals = useAppSelector(currentSearchedBioEntityChemicalsSelector);
  const chemicalsData = chemicals.data || [];

  if (chemicals.loading === 'pending') {
    return <LoadingIndicator />;
  }

  return (
    <div>
      {chemicalsData.map(drug => (
        <BioEntitiesPinsListItem key={`${drug.id}`} pin={drug} name={drug.name} />
      ))}
      {chemicalsData.length === ZERO && 'List is empty'}
    </div>
  );
};
